Resource

On Call Time Log

Manage on-call duty user overrides, for example if the user is on leave you can override the on-call duty policy for that user so all the alerts will be routed to the other user.

The On Call Time Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of your On-Call Policy where this escalation rule belongs.

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of your On-Call Policy Schedule where this escalation rule belongs.

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of your On-Call Policy Escalation Rule ID where this escalation rule belongs.

  • Name
    teamId
    Type
    Object ID
    Description

    ID of your On-Call Policy Team ID where this escalation rule belongs.

  • Name
    moreInfo
    Type
    Very Long Text
    Description

    More information about this log record.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    user
    Type
    User
    Description

    Relation to User who is being overridden by this object (if this object was created by a User)

  • Name
    userId
    Type
    Object IDRequired
    Description

    User ID for which this log belongs

  • Name
    startsAt
    Type
    DateRequired
    Description

    When does this start?

  • Name
    endsAt
    Type
    Date
    Description

    When does this end?

GETorPOST/api/on-call-duty-policy-time-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your On Call Time Log. By default, a maximum of ten On Call Time Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-time-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "startsAt": true,
    "userId": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {
    "moreInfo": "User was on-call during incident INC-1234. Successfully handled 3 alerts during this shift."
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37764ca0-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "startsAt": "2024-01-15T09:00:00.000Z",
      "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "37764ca1-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "startsAt": "2024-01-15T09:00:00.000Z",
      "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "37764ca2-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "startsAt": "2024-01-15T09:00:00.000Z",
      "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-time-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve On Call Time Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-time-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "startsAt": true,
    "userId": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "37764ca0-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "startsAt": "2024-01-15T09:00:00.000Z",
  "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/on-call-duty-policy-time-log/count

Count

This endpoint allows you to retrieve the count of all your On Call Time Log.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-time-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "moreInfo": "User was on-call during incident INC-1234. Successfully handled 3 alerts during this shift."
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-time-log

Create On Call Time Log

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-time-log
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "startsAt": "2024-01-15T09:00:00.000Z",
    "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
}

Response

{
  "_id": "37764ca0-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "startsAt": "2024-01-15T09:00:00.000Z",
  "userId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/on-call-duty-policy-time-log/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-time-log/:id/update-item
GET/api/on-call-duty-policy-time-log/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-time-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/on-call-duty-policy-time-log/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-time-log/:id/delete-item
GET/api/on-call-duty-policy-time-log/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-time-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On Call Time Log

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Policy Time Log
  • Read All Project Resources

Create Permissions

Required to create On Call Time Log

  • Project Owner
  • Project Admin
  • Project Member

Update Permissions

Required to update On Call Time Log

  • Project Owner
  • Project Admin
  • Project Member

Delete Permissions

Required to delete On Call Time Log

  • Project Owner
  • Project Admin
  • Project Member